當前位置: 首頁>>代碼示例>>C#>>正文


C# Line.GetPointAtDist方法代碼示例

本文整理匯總了C#中System.Line.GetPointAtDist方法的典型用法代碼示例。如果您正苦於以下問題:C# Line.GetPointAtDist方法的具體用法?C# Line.GetPointAtDist怎麽用?C# Line.GetPointAtDist使用的例子?那麽, 這裏精選的方法代碼示例或許可以為您提供幫助。您也可以進一步了解該方法所在System.Line的用法示例。


在下文中一共展示了Line.GetPointAtDist方法的3個代碼示例,這些例子默認根據受歡迎程度排序。您可以為喜歡或者感覺有用的代碼點讚,您的評價將有助於係統推薦出更棒的C#代碼示例。

示例1: CreateOffsetLines

        private IEnumerable<Handle> CreateOffsetLines()
        {
            List<Handle> handles = new List<Handle>();
            Point3d pointOnLine = firstBarLine.GetClosestPointTo(spanPoint.Value, true);
            if (pointOnLine.DistanceTo(spanPoint.Value) == 0)
            {
                Handle handle = DrawBarLine(new Line(firstBarLine.StartPoint, firstBarLine.EndPoint));
                handles.Add(handle);
                return handles;
            }

            Line perpendincularLine = new Line(pointOnLine, spanPoint.Value);
            int barLinesAmount = (int)(perpendincularLine.Length / spanStep.Value);
            Transaction trans = db.TransactionManager.StartTransaction();
            using (trans)
            {
                BlockTableRecord btr = trans.GetObject(db.CurrentSpaceId, OpenMode.ForWrite) as BlockTableRecord;
                for (int i = 0; i <= barLinesAmount; i++)
                {
                    lastBarLine = CreateFirstBarLine();
                    Point3d additionalPoint = perpendincularLine.GetPointAtDist(spanStep.Value * i);
                    Vector3d offsetVector = pointOnLine.GetVectorTo(additionalPoint);
                    btr.AppendEntity(lastBarLine);
                    lastBarLine.TransformBy(Matrix3d.Displacement(offsetVector));
                    handles.Add(lastBarLine.Handle);
                    trans.AddNewlyCreatedDBObject(lastBarLine, true);
                }
                trans.Commit();
            }
            return handles;
        }
開發者ID:anielii,項目名稱:Acommands,代碼行數:31,代碼來源:AContourLines.cs

示例2: GetTrimmedDescriptionLine

 private Line GetTrimmedDescriptionLine()
 {
     Line constructionLine = new Line(spanPoint1, descriptionSignPoint);
     double descriptionCircleRadius = 0.2 * scale;
     Point3d constructionPoint = constructionLine.GetPointAtDist(constructionLine.Length - descriptionCircleRadius);
     Line trimmedLine = new Line(constructionPoint, spanPoint1);
     return trimmedLine;
 }
開發者ID:anielii,項目名稱:Acommands,代碼行數:8,代碼來源:BWCad12.cs

示例3: GetTextOrigin

 private Point3d GetTextOrigin(Line l3)
 {
     return l3.GetPointAtDist(l3.Length / 2);
 }
開發者ID:anielii,項目名稱:Acommands,代碼行數:4,代碼來源:AContourLines.cs


注:本文中的System.Line.GetPointAtDist方法示例由純淨天空整理自Github/MSDocs等開源代碼及文檔管理平台,相關代碼片段篩選自各路編程大神貢獻的開源項目,源碼版權歸原作者所有,傳播和使用請參考對應項目的License;未經允許,請勿轉載。